Loading...
Searching...
No Matches
VmaDefragmentationMove Struct Reference
Memory allocation

Single move of an allocation to be done for defragmentation. More...

## Public Attributes

VmaDefragmentationMoveOperation | operation
| Operation to be performed on the allocation by vmaEndDefragmentationPass(). Default value is VMA_DEFRAGMENTATION_MOVE_OPERATION_COPY. You can modify it.
VmaAllocation | srcAllocation
| Allocation that should be moved.
VmaAllocation | dstTmpAllocation
| Temporary allocation pointing to destination memory that will replace srcAllocation.

## Detailed Description

Single move of an allocation to be done for defragmentation.

## Member Data Documentation

## dstTmpAllocation

VmaAllocation VmaDefragmentationMove::dstTmpAllocation

Temporary allocation pointing to destination memory that will replace srcAllocation.

Warning
  Do not store this allocation in your data structures! It exists only temporarily, for the duration of the defragmentation pass, to be used for binding new buffer/image to the destination memory using e.g. vmaBindBufferMemory(). vmaEndDefragmentationPass() will destroy it and make srcAllocation point to this memory.

## operation

VmaDefragmentationMoveOperation VmaDefragmentationMove::operation

Operation to be performed on the allocation by vmaEndDefragmentationPass(). Default value is VMA_DEFRAGMENTATION_MOVE_OPERATION_COPY. You can modify it.

## srcAllocation

VmaAllocation VmaDefragmentationMove::srcAllocation

Allocation that should be moved.

The documentation for this struct was generated from the following file:

- vk_mem_alloc.h